<?php
/**
 * Yii 2 Hangman
 *
 * @author Marc Oliveras Galvez <admin@oligalma.com> 
 * @link http://www.oligalma.com
 * @copyright 2021 Oligalma
 * @license GPL License
 */

namespace app\modules\hangman;

use Yii;

class Hangman extends \yii\base\Module{
    public $controllerNamespace = 'app\modules\hangman\controllers';
    private $_assetsUrl;
	
    public function init()
    {
      parent::init();
    }
	
    public function getAssetsUrl()
    {
	if($this->_assetsUrl === null)
	{
		$assets = dirname(__FILE__) . DIRECTORY_SEPARATOR . 'assets';
		$this -> _assetsUrl = Yii::$app->getAssetManager()->publish($assets, array('beforeCopy' => 
		    function($from, $to)
		    {
			if(strpos($from, '.directory') < 1)
			  return $from;
		    }
		  ));
	}
	    
	return $this->_assetsUrl;
    }
}
